Package org.springframework.test.context.web

# Class WebDelegatingSmartContextLoader

java.lang.Object
org.springframework.test.context.support.AbstractDelegatingSmartContextLoader
org.springframework.test.context.web.WebDelegatingSmartContextLoader

All Implemented Interfaces:
  `AotContextLoader`, `ContextLoader`, `SmartContextLoader`

public class WebDelegatingSmartContextLoader extends AbstractDelegatingSmartContextLoader
`WebDelegatingSmartContextLoader` is a concrete implementation of `AbstractDelegatingSmartContextLoader` that delegates to a `GenericXmlWebContextLoader` (or a `GenericGroovyXmlWebContextLoader` if Groovy is present on the classpath) and an `AnnotationConfigWebContextLoader`.

Since:
  3.2
Author:
  Sam Brannen
See Also:
  - `SmartContextLoader`
  - `AbstractDelegatingSmartContextLoader`
  - `GenericXmlWebContextLoader`
  - `AnnotationConfigWebContextLoader`

## Constructor Summary

Constructors
Constructor
Description
`WebDelegatingSmartContextLoader()`

## Method Summary

Modifier and Type
Method
Description
`protected SmartContextLoader`
`getAnnotationConfigLoader()`
Get the delegate `SmartContextLoader` that supports annotated classes.
`protected SmartContextLoader`
`getXmlLoader()`
Get the delegate `SmartContextLoader` that supports XML configuration files and/or Groovy scripts.

### Methods inherited from class org.springframework.test.context.support.AbstractDelegatingSmartContextLoader

`loadContext, loadContextForAotProcessing, loadContextForAotProcessing, loadContextForAotRuntime, processContextConfiguration`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.test.context.SmartContextLoader

`loadContext, processLocations`

## Constructor Details

### WebDelegatingSmartContextLoader

public WebDelegatingSmartContextLoader()

## Method Details

### getXmlLoader

protected SmartContextLoader getXmlLoader()
Description copied from class: `AbstractDelegatingSmartContextLoader`
Get the delegate `SmartContextLoader` that supports XML configuration files and/or Groovy scripts.

Specified by:
  `getXmlLoader` in class `AbstractDelegatingSmartContextLoader`

### getAnnotationConfigLoader

protected SmartContextLoader getAnnotationConfigLoader()
Description copied from class: `AbstractDelegatingSmartContextLoader`
Get the delegate `SmartContextLoader` that supports annotated classes.

Specified by:
  `getAnnotationConfigLoader` in class `AbstractDelegatingSmartContextLoader`